Skip to main content
`Ctrl`+`K`

# PetscCtxDestroyFn

A prototype of a `PetscErrorCode (*)(void **)` function that is used to free user contexts

## Synopsis

    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode PetscCtxDestroyFn(void **);

## Note

Used in the prototype of functions such as `DMSetApplicationContextDestroy()`

## See Also

`PetscObject`, `PetscCtxDestroyDefault()`, `PetscObjectDestroy()`, `DMSetApplicationContextDestroy()`

## Level

intermediate

## Location

include/petscsys.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages